namespace DocuMed.Core.CoreServices.Abstracts;

public interface IAccountService : IScopedDependency
{
    public Task<AccessToken<ApplicationUserSDto>> LoginWithPasswordAsync(string userName, string password, CancellationToken cancellationToken);
    public Task<AccessToken<ApplicationUserSDto>> LoginWithVerifyCodeAsync(string userName, string verifyCode, CancellationToken cancellationToken);
    public Task<SignUpStatus> GetVerifyCodeAsync(string phoneNumber);
    public Task<bool> ForgetPasswordAsync(string phoneNumber);
    public Task<bool> CheckMemberShipAsync(string phoneNumber);
    public Task<AccessToken<ApplicationUserSDto>> CompleteSignUpAsync(SignUpRequestDto requestDto, CancellationToken cancellationToken);
}